<?php
$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_07e0706709a15e456d666" . "4d499040d73" => base64_decode("Yml" . "3ZW" . "Vr"), "_0788425a8947" . "7a5f6ac1bd2ce" . "b434967" => base64_decode("RVJST1I6OiBVbmtub3duIHBlcmlvZ" . "CAtIA=="), "_e2ecb80cd1b605a" . "951ad84d608101ac" . "4" => base64_decode("bW9ud" . "Gg="), "_950c864c3fc8d7c4db561eea71d4" . "aca9" => base64_decode("eWVhcg=" . "="), "_a8fa98c95a8" . "a496939eaebf" . "ef66865b4" => base64_decode("d2V" . "law" . "=="));






class HpDateInterval
{
    
    
    
    
    
    
    protected $start_date;
    
    
    
    
    
    
    protected $end_date;
    protected $processer;
    
    
    public function SetStartDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->start_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetEndDate(Date $_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->end_date = $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    public function SetPeriod($_68865ed7b59f5ee9253afff85b97015b)
    {
        switch ($_68865ed7b59f5ee9253afff85b97015b) {
            case $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a8fa98c95a" . "8a496939eae" . "bfef66865b4"]:
                $this->processer = new HpDateIntervalWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_07e0706709a15e456d6664d499040d" . "73"]:
                $this->processer = new HpDateIntervalBiWeek();
                break;
            case $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e2ecb80c" . "d1b605a95" . "1ad84d608" . "101ac4"]:
                $this->processer = new HpDateIntervalMonth();
                break;
            case $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_950c864c3fc8d7c4db561eea71" . "d4aca9"]:
                $this->processer = new HpDateIntervalYear();
                break;
            default:
                throw new Exception($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0788425a89477" . "a5f6ac1bd2ceb4" . "34967"] . $_68865ed7b59f5ee9253afff85b97015b);
        }
    }
    public function GetIntervalsArray()
    {
        return $this->processer->GetIntervalsArray($this->start_date, $this->end_date);
    }
}